
package com.turkcell.sqlexample;

import java.util.List;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.Toast;

public class MainActivity extends Activity {

   @Override
   protected void onCreate(Bundle savedInstanceState) {
      super.onCreate(savedInstanceState);
      setContentView(R.layout.activity_main);

      final ListView customListView = (ListView) findViewById(R.id.listview);
      DBHelper dbHelper = new DBHelper(getApplicationContext());

      SharedPreferences settings = getSharedPreferences("SQL", 0);
      boolean firstTime = settings.getBoolean("firstTime", true);

      if (firstTime) {
         dbHelper.insertCountry(new Country("Turkiye", "90"));
         dbHelper.insertCountry(new Country("Amerika", "1"));
         dbHelper.insertCountry(new Country("Ingiltere", "44"));
         dbHelper.insertCountry(new Country("Almanya", "49"));

         SharedPreferences.Editor editor = settings.edit();
         editor.putBoolean("firstTime", false);
         editor.commit();
      }

      List<Country> countries = dbHelper.getAllCountries();
      MyListAdapter myListAdapter = new MyListAdapter(MainActivity.this, countries);
      customListView.setAdapter(myListAdapter);
      customListView.setOnItemClickListener(new OnItemClickListener() {
         @Override
         public void onItemClick(AdapterView<?> arg0, View arg1, int position, long arg3) {
            Toast.makeText(getApplicationContext(),
                           ((Country) customListView.getAdapter().getItem(position)).getCountryCode(),
                           Toast.LENGTH_LONG).show();
         }
      });
   }

}
